Bug 136496 - perl and perl-Time-HiRes: perl-Time-Hires no longer needed
Summary: perl and perl-Time-HiRes: perl-Time-Hires no longer needed
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-20 15:22 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 21:41:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2004-10-20 15:22:13 UTC
Description of problem:
Perl 5.8.5 (and 5.8.4) already includes a more recent version
of Time::HiRes than the one shipped as perl-Time-HiRes

Version-Release number of selected component (if applicable):
perl-5.8.5-9

How reproducible:
Always.

Additional info:

Perl distro      Time::HiRes core module
----------------------------------------
v5.8.4            v1.59
v5.8.5            v1.59

perl-Time-HiRes package
-----------------------
fedora core 3 test 3 ships with perl-Time-HiRes-1.55-3.src.rpm.


Patch to perl.spec
------------------
The following line must be removed from the perl.spec:
...
find $RPM_BUILD_ROOT -name '*HiRes*' | xargs rm -rfv
...


Related bugzilla entry: 136494

Comment 1 Jose Pedro Oliveira 2005-01-28 03:33:00 UTC
This also applies to rawhide (perl 5.8.6).

See also #136494, and #141100.

Comment 2 Chip Turner 2005-01-29 21:41:48 UTC
CPAN is already up to 1.66.  the reason we explicitly remove it from perl is because it 
updates frequently upstream.  the correct solution is to upgrade the separate perl-Time-
HiRes package, which will be done sometime in the next week or so., along with other perl 
modules.

marking this particular bug as deferred, but only because I'll fix it as part of a separate set 
of updates


Note You need to log in before you can comment on or make changes to this bug.